Skip to main content

List Products

Get all products for the authenticated user.
curl -X GET "https://api-paygate.getaether.xyz/public/products" \
  -H "X-API-Key: pk_your_api_key" \
  -H "Content-Type: application/json"

Response

{
  "products": [
    {
      "id": "prod_abc123xyz",
      "title": "Premium Article",
      "description": "Exclusive content about...",
      "type": "content",
      "price": "0.50",
      "currency": "USDC",
      "network": "mainnet-beta",
      "status": "active",
      "createdAt": "2024-01-15T10:30:00.000Z",
      "updatedAt": "2024-01-15T10:30:00.000Z"
    },
    {
      "id": "prod_def456uvw",
      "title": "Pro Features",
      "description": "Unlock all premium features",
      "type": "feature_unlock",
      "price": "10.00",
      "currency": "USDC",
      "network": "mainnet-beta",
      "status": "active",
      "featureIds": ["pro_analytics", "pro_export"],
      "createdAt": "2024-01-14T09:00:00.000Z",
      "updatedAt": "2024-01-14T09:00:00.000Z"
    }
  ]
}

Get Product

Get a specific product by ID.
curl -X GET "https://api-paygate.getaether.xyz/public/products/prod_abc123xyz" \
  -H "X-API-Key: pk_your_api_key" \
  -H "Content-Type: application/json"

Parameters

ParameterTypeDescription
idstringProduct ID (path parameter)

Response

{
  "id": "prod_abc123xyz",
  "title": "Premium Article",
  "description": "Exclusive content about...",
  "type": "content",
  "price": "0.50",
  "currency": "USDC",
  "network": "mainnet-beta",
  "status": "active",
  "merchantWallet": "7xK3abc...",
  "createdAt": "2024-01-15T10:30:00.000Z",
  "updatedAt": "2024-01-15T10:30:00.000Z",
  "stats": {
    "totalSales": 47,
    "revenue": "23.50"
  }
}

Error Response

{
  "error": "Product not found",
  "code": "NOT_FOUND"
}

Product Object

FieldTypeDescription
idstringUnique product identifier
titlestringProduct name
descriptionstringProduct description
typeenumcontent, api_access, feature_unlock
pricestringPrice in USDC
currencystringAlways USDC
networkenumdevnet, mainnet-beta
statusenumactive, inactive
merchantWalletstringReceiving wallet address
featureIdsstring[]Feature IDs (for feature_unlock type)
createdAtstringISO 8601 timestamp
updatedAtstringISO 8601 timestamp